Bug 322979 - Layout is mirrored
Summary: Layout is mirrored
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-battery (show other bugs)
Version: 4.10.97
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-30 08:48 UTC by Andreas Kuhl
Modified: 2013-08-01 08:46 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (44.17 KB, image/jpeg)
2013-07-30 08:53 UTC, Andreas Kuhl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Kuhl 2013-07-30 08:48:38 UTC
Although I use a western language (German), the layout is mirrored (see attached screenshot).

Reverting this commit fixed it for me:

-------------

commit 6b373d596eeedb47146e04d9db5bcaa2d2331400
Author: Kai Uwe Broulik <kde@privat.broulik.de>
Date:   Thu Jul 25 14:56:25 2013 +0200

    Enable LayoutMirroring
    Has some issues with the Plasma components (slider isn't mirrored, checkbox isn't either)
    but let's not forget about the parts of the world where they write from right to left ;)

diff --git a/plasma/generic/applets/batterymonitor/contents/ui/batterymonitor.qml b/plasma/generic/applets/batterymonitor/contents/ui/batterymonitor.qml
index cddd38e..34a0904 100644
--- a/plasma/generic/applets/batterymonitor/contents/ui/batterymonitor.qml
+++ b/plasma/generic/applets/batterymonitor/contents/ui/batterymonitor.qml
@@ -31,6 +31,9 @@ Item {

     property bool show_remaining_time: false

+    LayoutMirroring.enabled: true
+    LayoutMirroring.childrenInherit: true
+
     Component.onCompleted: {
         plasmoid.aspectRatioMode = IgnoreAspectRatio
         updateLogic(true);

-------------

Reproducible: Always
Comment 1 Andreas Kuhl 2013-07-30 08:53:07 UTC
Created attachment 81444 [details]
screenshot
Comment 2 Kai Uwe Broulik 2013-08-01 08:46:29 UTC
Git commit f7a33b7c0a69438c48fb752380bf7c09325f2765 by Kai Uwe Broulik.
Committed on 01/08/2013 at 08:45.
Pushed by broulik into branch 'KDE/4.11'.

Enable LayoutMirroring only on right-to-left languages.
Thought it would detect that automatically.

M  +1    -1    plasma/generic/applets/batterymonitor/contents/ui/batterymonitor.qml

http://commits.kde.org/kde-workspace/f7a33b7c0a69438c48fb752380bf7c09325f2765